
deploy_example:
  stage: deploy
  tags:
    - vagrant
    - develop19216822423
  script:
    - vagrant box remove henrietta/example || true
    - vagrant box add henrietta/example file:///var/www/html/dev/vagrant/example.box
build_example:
  stage: build
  tags:
    - vagrant
    - develop19216822423
  before_script:
    - cp *.sh example/
    - cp SkeletonVagrantfile example/Vagrantfile
    - cd example
    - python ../make.py meta
  script:
    - vagrant up
    - vagrant package --out example.box
    - mv -f example.box /var/www/html/dev/vagrant/example.box
    - cd ..
  after_script:
    - vagrant destroy -f
    - cd ..
